@import url('../rnb/lib/ui/css/base.css');
@import url('../rnb/lib/ui/css/typo.css');
@import url('../rnb/lib/ui/actions/styles.css');
@import url('../rnb/lib/ui/dialogs/styles.css');
@import url('../rnb/lib/ui/edits/styles.css');
@import url('../rnb/lib/ui/layout/styles.css');
@import url('../rnb/lib/ui/notifications/styles.css');
@import url('../rnb/lib/ui/opml/styles.css');

:root {
    --border-radius: var(--gutter-quart);
    --content-bg-color: var(--interaction-bg-color);
    --global-gap: var(--gutter-half);
}

html, body {
    box-sizing: border-box;
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
    max-width: none;
    overflow: hidden;
    font-family: ubuntu, sans-serif;
}

button:hover {
    color: var(--light1);
}

img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: var(--gutter) auto;
    border-radius: var(--border-radius);
}

.rnb-layout, .pane-main, .pane-left {
    height: 100%;
    overflow: hidden;
}

.rnb-layout {
    padding: var(--global-gap);
    --pane-center-width: 46rem;
}

/* left
======================== */

.pane-left {
    max-width: 25rem;
    display: grid;
    grid-template-rows: auto auto 1fr;
    gap: var(--global-gap);
}

/*  toolbar */

.pane-left > rnb-actions {
    font-size: 1.5rem;
}
.pane-left > rnb-actions button {
    padding: var(--padding);
}

/*  rnb-feeds-progress */

rnb-feeds-progress {
    display: grid;
    grid-template-columns: auto var(--gutter-double);
    gap: 1px;
    background-color: var(--content-bg-color);
    border-radius: var(--border-radius);
}

rnb-feeds-progress > progress:not(:indeterminate) {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    border: 0;
    border-radius: var(--border-radius) 0 0 var(--border-radius);
    background-color: transparent;
}
rnb-feeds-progress .progress-badge {
    text-align: right;
    padding: 0 var(--padding-smaller);
}

/*  rnb-opml */

rnb-opml {
    padding: var(--gutter-half);
    border-radius: var(--border-radius);
    background-color: var(--content-bg-color);
}

/* main 
=====================
*/
.rnb-layout-center {
    gap: var(--global-gap);
}

.pane-main {
    box-sizing: border-box;
    height: 100%;
    max-width: 46rem;
}

@media screen and (max-width: 800px) {
    .pane-main {
        max-width: none;
        box-shadow: none;
    }
    .pane-left {
        background-color: var(--global-bg-color);
        border-color: transparent;
    }
}


/* rnb-feeds view 
---------------------------
*/

rnb-feeds-view {
    height: 100%;
    display: grid;
    grid-template-rows: auto 1fr;
    gap: calc(1.5rem + (2 * var(--global-gap)));
    position: relative;
}
rnb-feeds-view > :first-child {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    background-color: var(--content-bg-color);
    border-radius: var(--border-radius);
    overflow: hidden;
}
rnb-feeds-view > :first-child h1 {
    font-size: 2rem;
    padding: var(--gutter-quart) var(--gutter);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
rnb-feeds-view > :first-child rnb-actions {
    font-size: 1rem;
    margin-right: var(--gutter-quart);
}

rnb-feeds-view > :last-child {
    overflow: auto;
    scrollbar-width: none;
}
rnb-feeds-view > :last-child::before {
    content: '';
    position: absolute;
    width: 100%;
    height: var(--gutter);
    background-color: var(--content-bg-color);
    border-radius: var(--border-radius);
    margin-top: calc(var(--gutter-double-neg) + var(--global-gap));
}

rnb-feeds-view > :last-child:empty {
    background-color: var(--content-bg-color);
    border-radius: var(--border-radius);
}

article {
    position: relative;
    padding: var(--gutter);
    background: var(--content-bg-color);
    border-radius: var(--border-radius);
    margin: 0 0 var(--global-gap);
    content-visibility: auto;
    overflow: hidden;
}

h1 {
    margin: 0;
}
h2 {
    margin: 0 0 var(--gutter);
}

.item-data {
    font-size: smaller;
    font-weight: bold;
    color: var(--lighter4);
    margin: var(--gutter-neg) 0 var(--gutter-half);
    padding: var(--gutter-quart) 0
}
.item-data > cite {
    font-style: normal;
    font-size: larger;
}

article rnb-actions {
    position: absolute;
    top: var(--gutter-quart);
    right: var(--gutter-quart);
}

.item-resource {
    line-height: 1;
    margin: var(--gutter-half) 0 0;
}
.item-resource > a {
    display: inline-block;
    padding: var(--gutter-quart) var(--gutter-double);
    background-color: var(--darker3);
    border-radius: var(--border-radius);
}

/* dialog */

dialog {
    width: 40vw;
}

dialog.logs {
    width: 90vw;
    height: 90vh;
}
dialog.logs .dialog-content {
    white-space: pre;
    overflow: auto;
    font-family: monospace;
    font-size: larger;
}
